Crux: BRE/WFE - Task #17960

Ul: test-run a workflow
17/02/2024 07:07 PM - Shuvam Misra

Status: Rework Start date:

Priority: Normal Due date: 14/04/2024
Assignee: Adarsh Shukla % Done: 20%
Category: Estimated time: 0.00 hour
Target version: Sprint 12 Apr

Description

Accept attributes and values for an entity, validate the entity against a schema, then submit it to a workflow (which will be selected by
slice/workflow name), and call WFinstanceTry() with trace on.

This task will require parsing of the Level-1 tracedata output from the call response, and display of this trace data in appropriate
format.

Associated revisions

Revision ffb38212 - 29/05/2024 04:25 PM - Sufiyaan Shaik
refs: redmine #17960: Started with Ul design for Trace level 1

Revision 915d177a - 31/05/2024 03:05 PM - Adarsh Shukla

refs redmine #17960, Created a moockoon for wfintrancetry() and integrated it in the frontend using HTML canvas

Revision b74ac9b8 - 03/06/2024 04:00 PM - Sufiyaan Shaik
refs: redmine #17960 Added drag & drop with zoom in & out functionality for wfinstancetry() Ul

Revision e0e71c95 - 08/08/2024 03:57 PM - Sufiyaan Shaik

refs: redmine #17960 WFinstanceTry modal added, to show worflow blocks using HTML Canvas

Revision 1277845 - 05/09/2024 05:23 PM - Sufiyaan Shaik
refs redmine #17960 Added i18n for all components

History

#1 - 18/02/2024 01:09 AM - Shuvam Misra

- Description updated

#2 - 27/03/2024 05:34 PM - Adarsh Shukla

- Assignee set to Sachin Divekar

#3 - 03/04/2024 06:19 PM - Shuvam Misra
- Has duplicate Task #18176: Testing workflows added

#4 - 03/04/2024 06:20 PM - Shuvam Misra
- Status changed from New to Dropped

It is a duplicate of another task

#5 - 03/04/2024 06:21 PM - Shuvam Misra
- Assignee changed from Sachin Divekar to Sufiyaan Shaik

- Status changed from Dropped to Rework

#6 - 03/04/2024 06:22 PM - Shuvam Misra
- Has duplicate deleted (Task #18176: Testing workflows)
#7 - 03/04/2024 06:22 PM - Shuvam Misra

It needs to be done. Ul needs to be developed to invoke InstanceNew and MarkDone with tracing on.

#8 - 03/04/2024 06:23 PM - Shuvam Misra
- Target version changed from Sprint 29 Mar to Sprint 12 Apr
- Due date changed from 29/03/2024 to 14/04/2024

#9 - 04/04/2024 06:29 PM - Sufiyaan Shaik
- Assignee changed from Sufiyaan Shaik to Adarsh Shukla

Started with logHarbour screen today, need to discuss this task with sachin tommorrow(Friday),and we will start this task

#10 - 24/05/2024 05:58 PM - Adarsh Shukla

Started working on this issue.

#11 - 30/05/2024 06:08 PM - Adarsh Shukla
- % Done changed from 0 to 20

Created one POC code to visually display trace data in Ul using HTML5 canvas tag, tested it with some dummy data. Which is working as expected.
